Search stores
curl --request POST \
--url https://storeinspect.com/api/v1/stores/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"categories": [
"<string>"
],
"countries": [
"<string>"
],
"traffic_tiers": [
"<string>"
],
"revenue_tiers": [
"<string>"
],
"shopify_plus": true,
"apps": {
"any": [
"<string>"
],
"all": [
"<string>"
],
"none": [
"<string>"
]
},
"pixels": {
"any": [
"<string>"
],
"all": [
"<string>"
],
"none": [
"<string>"
]
},
"themes": {
"types": []
},
"meta_ads": {
"active_ads_min": 50000
},
"contacts": {
"has_revealable_contacts": true,
"roles_any": [
"<string>"
]
}
},
"limit": 25,
"cursor": null
}
'import requests
url = "https://storeinspect.com/api/v1/stores/search"
payload = {
"filters": {
"categories": ["<string>"],
"countries": ["<string>"],
"traffic_tiers": ["<string>"],
"revenue_tiers": ["<string>"],
"shopify_plus": True,
"apps": {
"any": ["<string>"],
"all": ["<string>"],
"none": ["<string>"]
},
"pixels": {
"any": ["<string>"],
"all": ["<string>"],
"none": ["<string>"]
},
"themes": { "types": [] },
"meta_ads": { "active_ads_min": 50000 },
"contacts": {
"has_revealable_contacts": True,
"roles_any": ["<string>"]
}
},
"limit": 25,
"cursor": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
categories: ['<string>'],
countries: ['<string>'],
traffic_tiers: ['<string>'],
revenue_tiers: ['<string>'],
shopify_plus: true,
apps: {any: ['<string>'], all: ['<string>'], none: ['<string>']},
pixels: {any: ['<string>'], all: ['<string>'], none: ['<string>']},
themes: {types: []},
meta_ads: {active_ads_min: 50000},
contacts: {has_revealable_contacts: true, roles_any: ['<string>']}
},
limit: 25,
cursor: null
})
};
fetch('https://storeinspect.com/api/v1/stores/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"id": "<string>",
"object": "store",
"domain": "<string>",
"name": "<string>",
"category": "<string>",
"country": "<string>",
"traffic_tier": "<string>",
"revenue_tier": "<string>",
"shopify_plus": true,
"lead_fit_score": 123,
"technologies": {
"apps": [
"<string>"
],
"pixels": [
"<string>"
],
"theme": {
"name": "<string>",
"type": "<string>"
}
},
"contacts_summary": {
"total": 123,
"has_revealable_contacts": true,
"verified_email_count": 123,
"roles": [
"<string>"
]
}
}
],
"has_more": true,
"next_cursor": "<string>",
"request_id": "<string>"
}Stores
Search stores
Searches Shopify stores by focused ICP filters with stable sorting, cursor pagination, broad-search guardrails, and monthly search-row quotas.
POST
/
stores
/
search
Search stores
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I